package apap.tutorial.belajarbelajar.service;
import apap.tutorial.belajarbelajar.model.CourseModel;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

public interface CourseService {
    void addCourse(CourseModel course);

    List<CourseModel> getListCourse();

    List<CourseModel> getListCourseOrderByNameCourse();

    CourseModel getCourseByCodeCourse(String code);

    CourseModel getCourseOrderByName();

    CourseModel getCourseByCodeCourseQuery(String code);

    CourseModel updateCourse(CourseModel Course);

    boolean deleteCourse(CourseModel Course, LocalDateTime waktuBerakhir, LocalDateTime waktuMulai);

    boolean compareDateTime(LocalDateTime waktuBerakhir, LocalDateTime waktuMulai);

    boolean updateSksByCode(String code, int jumlahSks);

    boolean deleteCourseByCode(String code);

    boolean cantAddCourseWithSameCode(String code);

    boolean deleteCourseWithSameSks(int jumlahSks);

    boolean isClosed(LocalDateTime tanggaDimulai, LocalDateTime tanggalBerakhir);
}
